## gate.gui
Class SchemaAnnotationEditor.RowData

    java.lang.Object
      |
      +--gate.gui.SchemaAnnotationEditor.RowData

Enclosing class:
  SchemaAnnotationEditor

class SchemaAnnotationEditor.RowData
extends Object

Internal class used in the inner FeaturesTableModel class

Field Summary
`private FeatureSchema` `featSchema`
`private Object` `value`

Constructor Summary
`(package private)` `SchemaAnnotationEditor.RowData(Object aValue, FeatureSchema aFeatureSchema)` Constructor

Method Summary
`FeatureSchema` `getFeatureSchema()`
`Object` `getValue()`
`void` `setFeatureSchema(FeatureSchema aFeatureSchema)`
`void` `setValue(Object aValue)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### value

    private Object value

### featSchema

    private FeatureSchema featSchema

Constructor Detail

### SchemaAnnotationEditor.RowData

    SchemaAnnotationEditor.RowData(Object aValue,
                                   FeatureSchema aFeatureSchema)

  Constructor

Method Detail

### setValue

    public void setValue(Object aValue)

### getValue

    public Object getValue()

### setFeatureSchema

    public void setFeatureSchema(FeatureSchema aFeatureSchema)

### getFeatureSchema

    public FeatureSchema getFeatureSchema()